Name:           nmh
Version:        1.7.1
Release:        1
Summary:        A capable mail handling system with a command line interface.
Group:          Applications/Internet
License:        BSD
URL:            http://savannah.nongnu.org/projects/nmh
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.sig
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: curl-devel >= 7.64.0-1
BuildRequires: libiconv >= 1.15-1
BuildRequires: openssl-devel >= 1.0.2r-1
BuildRequires: readline-devel >= 7.0-4
BuildRequires: make, patch
Requires: curl >= 7.64.0-1
Requires: libiconv >= 1.15-1
Requires: openssl >= 1.0.2r-1
Requires: readline >= 7.0-4

%description
Nmh is an email system based on the MH email system and is intended to
be a (mostly) compatible drop-in replacement for MH.  Nmh isn't a
single comprehensive program.  Instead, it consists of a number of
fairly simple single-purpose programs for sending, receiving, saving,
retrieving and otherwise manipulating email messages.  You can freely
intersperse nmh commands with other shell commands or write custom
scripts which utilize nmh commands.  If you want to use nmh as a true
email user agent, you'll want to also install exmh to provide a user
interface for it--nmh only has a command line interface.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
export CC="cc_r -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libexecdir=%{_libexecdir}/%{name} \
    --sysconfdir=/etc \
    --with-locking=fcntl
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/%{name}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc docs/COMPLETION-* docs/DIFFERENCES docs/FAQ docs/MAIL.FILTERING VERSION
%doc docs/TODO docs/README* COPYRIGHT
%{_bindir}/*
%dir /etc/%{name}
%config(noreplace) /etc/%{name}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*
%{_mandir}/man?/*
/usr/linux/bin/*


%changelog
* Thu May 30 2019 Michael Perzl <michael@perzl.org> - 1.7.1-1
- updated to version 1.7.1

* Thu May 30 2019 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Thu Oct 28 2010 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
